commit 266b6e714cf4a95d412a81197516e6dcb1454214
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Wed Dec 3 14:10:50 2025 +0000

    Debug: redefine the early-debug macro to be also active after main-debug init

diff --git a/src/src/macros.h b/src/src/macros.h
index ad5d73267..0b69bb83f 100644
--- a/src/src/macros.h
+++ b/src/src/macros.h
@@ -106,11 +106,10 @@ don't make the file descriptors two-way. */
 #define HDEBUG(x)	if (host_checking || IS_DEBUG(x))
 
 #define EARLY_DEBUG(x, fmt, ...) \
-  if (debug_startup) \
-    if (debug_fd < 0) \
-      fprintf(stderr, "%s", string_sprintf(fmt, __VA_ARGS__)); \
-    else DEBUG(x) \
-      debug_printf_indent(fmt, __VA_ARGS__);
+  if (debug_fd >= 0) \
+    { DEBUG(x) debug_printf_indent(fmt, __VA_ARGS__); } \
+  else if (debug_startup) \
+    fprintf(stderr, "%s", string_sprintf(fmt, __VA_ARGS__));
 
 /* The default From: text for DSNs */
 
diff --git a/src/src/readconf.c b/src/src/readconf.c
index 04cd5e68a..37d9c6b85 100644
--- a/src/src/readconf.c
+++ b/src/src/readconf.c
@@ -4592,7 +4592,7 @@ readconf_rest(void)
 {
 int had = 0;
 
-while(next_section[0] != 0)
+while(*next_section)
   {
   int bit;
   int first = 0;
@@ -4601,6 +4601,7 @@ while(next_section[0] != 0)
   int n = Ustrlen(next_section);
 
   EARLY_DEBUG(D_any, "%s: %s\n", __FUNCTION__, next_section);
+  expand_level++;
   if (tolower(next_section[n-1]) != 's') Ustrcpy(next_section+n, US"s");
 
   for (;;)
@@ -4630,6 +4631,7 @@ while(next_section[0] != 0)
     case 5: route_init(); break;
     case 6: transport_init(); break;
     }
+  expand_level--;
   }
 
 (void)fclose(config_file);

